CoD4 Problem z odpaleniem

(Adrian Nawrocki) #1

Tak jak w temacie. Mam zainstalowaną bibliotek directx. Nie mogłem znaleźć bibliotek wined3d.dll, ale podobno jest tylko potrzebna do filmików. Mam geforce 9800 gx2 i stery same się zainstalowały poprzez administracja > Steroniki. Jak odpalam cod4 wyskakuje mi komunikat:

Error during initialization. Video card or driver doesn't support enough textures for directx 9 code path

Wiecie co poradzić???

(roobal) #2

Przekładając na język polski błąd oznacza:

Błąd podczas inicjalizacji, karta lub sterownik nie wspiera wystarczająco tekstur dla directx 9 kod ścieżki

Może to Ci coś podpowie, prawdopodobie coś nie tak ze sterami jednak. Instalowałeś najnowszy directx 9?

Polecam jeszcze to http://jarzebski.pl/read/wine-directx-9-0c.so

Directx 9 polecam pobrać ze strony portalu http://dobreprogramy.pl/index.php?dz=22 … ributable+

Pozdrawiam!

(Sawyer47) #3

Sprawdzałeś w AppDB? http://appdb.winehq.org/objectManager.p … &iId=10429 - na tej stronie jest opis wielu błędów i/lub ich rozwiązań. Nie wczytywałem się dobre, ale jest tam coś o kartach NVIDII. Napisz którą wersję wine masz i jeżeli możesz, zaktualizuj do wersji 1.0.

(Mirekgw) #4

kolego jeżeli po włączeniu gry wyłancza ci się po filmikach wejdż w folder miles i zmień wpis mssmp3.asi na mssmp3.bak sprawdż czy to zadziała

(Adrian Nawrocki) #5

Mam v 0.9.59. Może chodzi o biblioteke wined3d.dll. Może ma ktoś. Postaram się zaktualizować wine, ale nie wiem czy to coś dam. Directx 9.0c potrafię zainstalować i mam zainstalowanego. A jeśli chodzi o stery do karty to powinno być wszystko ok, bo q4 na detalach ultra 1280x1024 nawet się nie przytnie. Mam zainstalowaną paczke Nvidia binary X.Org driver (‘New’ Driver)

W dniu 19.06.2008 , o godzinie 15:24 został dopisany post przez Watras16

Zainstalowałem wine 1.0 i to samo

aaa?type=i&key=zAthJRdRTK&ft=f

(Sawyer47) #6

Napisz jaką masz wersję sterowników nvidia. Na podanej przeze mnie stronie jest napisane, że sterowniki 169.xxx łamią kompatybilność wine <-> CoD4. Poza tym, dla wine 0.9.59 i wyższych jest umieszczony patch. Nie wiem czy te informacje są wciąż aktualne, bo pochodzą ze stycznia/lutego, trzeba by było spróbować.

(Adrian Nawrocki) #7

Może masz racje. Wersja sterownika to 169.12.